<html xmlns:th="http://www.thymeleaf.org">
	<body>
		<div th:fragment="table" class="relative overflow-x-auto">
			<table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
				<thead
					class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400"
				>
					<tr>
						<th scope="col" class="px-6 py-4 w-px whitespace-nowrap">#</th>
						<th scope="col" class="px-6 py-4">Kode</th>
						<th scope="col" class="px-6 py-4">Matakuliah</th>
						<th scope="col" class="px-6 py-4">Singkatan</th>
						<th scope="col" class="px-6 py-4">Fakultas</th>
						<th scope="col" class="px-6 py-4">Jurusan</th>
						<th scope="col" class="px-6 py-4">
							<span class="sr-only">Action</span>
						</th>
					</tr>
				</thead>
				<tbody>
					<tr th:each="data,row : ${subjectList}"
						class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600"
					>
						<td class="px-6 py-4" th:text="${(row.index + 1) + (subjectList.number * subjectList.size)}">1</td>
						<td class="px-6 py-4" th:text="${data.code}">MB001</td>
						<th
							th:text="${data.subjectName}"
							scope="row"
							class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white"
						>
							Manajemen Keuangan Syariah
						</th>
						<td class="px-6 py-4" th:text="${data.abbreviation}">MKS</td>
						<td class="px-6 py-4" th:text="${data.institutionFaculty.facultyName}">Fakultas ekonomi & Bisnis Syariah</td>
						<td class="px-6 py-4" th:text="${data.institutionProdi.prodiName}">Manajemen Bisnis Syariah</td>
						<td class="px-6 py-4 flex gap-3 justify-end">
							<button th:if="${trash == null}"
								th:attr="data-id=${data.id}, data-code=${data.code},data-subject=${data.subjectName}, data-subjectEn=${data.subjectNameEnglish}, data-abbreviation=${data.abbreviation}, data-prodi=${data.institutionProdi.id}"
								onclick="editSubject(this.getAttribute('data-id'), this.getAttribute('data-code'), this.getAttribute('data-subject'),this.getAttribute('data-subjectEn'), this.getAttribute('data-abbreviation'), this.getAttribute('data-prodi'))"
								class="flex items-center gap-1 text-sm font-medium hover:text-blue-500"
							>
								<svg
									class="w-5 h-5"
									aria-hidden="true"
									xmlns="http://www.w3.org/2000/svg"
									width="24"
									height="24"
									fill="none"
									viewBox="0 0 24 24"
								>
									<path
										stroke="currentColor"
										stroke-linecap="round"
										stroke-linejoin="round"
										stroke-width="2"
										d="m14.304 4.844 2.852 2.852M7 7H4a1 1 0 0 0-1 1v10a1 1 0 0 0 1 1h11a1 1 0 0 0 1-1v-4.5m2.409-9.91a2.017 2.017 0 0 1 0 2.853l-6.844 6.844L8 14l.713-3.565 6.844-6.844a2.015 2.015 0 0 1 2.852 0Z"
									/>
								</svg>
								Edit
							</button>
							<form method="post" th:action="@{/setting/subject/delete (subject = ${data.id})}">
								<button th:if="${trash == null}"
										class="flex items-center gap-1 text-sm font-medium hover:text-red-500"
								>
									<svg
											class="w-5 h-5"
											aria-hidden="true"
											xmlns="http://www.w3.org/2000/svg"
											width="24"
											height="24"
											fill="none"
											viewBox="0 0 24 24"
									>
										<path
												stroke="currentColor"
												stroke-linecap="round"
												stroke-linejoin="round"
												stroke-width="2"
												d="M5 7h14m-9 3v8m4-8v8M10 3h4a1 1 0 0 1 1 1v3H9V4a1 1 0 0 1 1-1ZM6 7h12v13a1 1 0 0 1-1 1H7a1 1 0 0 1-1-1V7Z"
										/>
									</svg>
									Hapus
								</button>

							</form>

							<form method="post" th:action="@{/setting/subject/restore (subject = ${data.id})}">
								<button th:if="${trash != null}"
									class="flex items-center gap-1 text-sm font-medium hover:text-green-500"
								>
									<svg
										class="w-5 h-5"
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 28 28"
										stroke-width="2"
										stroke="currentColor"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M9 15 3 9m0 0 6-6M3 9h12a6 6 0 0 1 0 12h-3"
										/>
									</svg>

									Pulihkan
								</button>
							</form>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
	</body>
</html>
